Upstream information

CVE-2020-29362 at MITRE

Description

An issue was discovered in p11-kit 0.21.1 through 0.23.21. A heap-based buffer over-read has been discovered in the RPC protocol used by thep11-kit server/remote commands and the client library. When the remote entity supplies a byte array through a serialized PKCS#11 function call, the receiving entity may allow the reading of up to 4 bytes of memory past the heap allocation.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low None
Integrity Impact None None
Availability Impact None High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180065 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
Carwos 1 p11-kit Affected
HPE Helion OpenStack 8 p11-kit Not affected
SUSE Enterprise Storage 5 p11-kit Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP5 p11-kit Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS p11-kit Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 p11-kit Analysis
SUSE Linux Enterprise Module for Basesystem 15 SP2 p11-kit Affected
SUSE Linux Enterprise Point of Service Image Server 12 p11-kit Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL p11-kit Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS p11-kit Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 BCL p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP5 p11-kit Not affected
SUSE Linux Enterprise Server 15 LTSS p11-kit Affected
SUSE Linux Enterprise Server ESPOS 15 p11-kit Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 p11-kit Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 15 p11-kit Affected
SUSE OpenStack Cloud 7 p11-kit Not affected
SUSE OpenStack Cloud 8 p11-kit Not affected
SUSE OpenStack Cloud 9 p11-kit Not affected
SUSE OpenStack Cloud Crowbar 8 p11-kit Not affected
SUSE OpenStack Cloud Crowbar 9 p11-kit Not affected